/**
 * @since 1.0.0
 */
import { type DeleteConnectionCommandInput, type DeleteConnectionCommandOutput, type GetConnectionCommandInput, type GetConnectionCommandOutput, type PostToConnectionCommandInput, type PostToConnectionCommandOutput } from "@aws-sdk/client-apigatewaymanagementapi";
import { type HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { Effect, Layer } from "effect";
import { ApiGatewayManagementApiClientInstance } from "./ApiGatewayManagementApiClientInstance";
import { ForbiddenError, GoneError, LimitExceededError, PayloadTooLargeError, SdkError } from "./Errors";
interface ApiGatewayManagementApiService$ {
    readonly _: unique symbol;
    /**
     * @see {@link DeleteConnectionCommand}
     */
    deleteConnection(args: DeleteConnectionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteConnectionCommandOutput, SdkError | ForbiddenError | GoneError | LimitExceededError>;
    /**
     * @see {@link GetConnectionCommand}
     */
    getConnection(args: GetConnectionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetConnectionCommandOutput, SdkError | ForbiddenError | GoneError | LimitExceededError>;
    /**
     * @see {@link PostToConnectionCommand}
     */
    postToConnection(args: PostToConnectionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PostToConnectionCommandOutput, SdkError | ForbiddenError | GoneError | LimitExceededError | PayloadTooLargeError>;
}
declare const ApiGatewayManagementApiService_base: import("effect/Context").TagClass<ApiGatewayManagementApiService, "@effect-aws/client-api-gateway-management-api/ApiGatewayManagementApiService", ApiGatewayManagementApiService$> & {
    readonly _: Effect.Effect<ApiGatewayManagementApiService$["_"], never, ApiGatewayManagementApiService>;
    deleteConnection: (args: DeleteConnectionCommandInput, options?: __HttpHandlerOptions | undefined) => Effect.Effect<DeleteConnectionCommandOutput, ForbiddenError | GoneError | LimitExceededError | SdkError, ApiGatewayManagementApiService>;
    getConnection: (args: GetConnectionCommandInput, options?: __HttpHandlerOptions | undefined) => Effect.Effect<GetConnectionCommandOutput, ForbiddenError | GoneError | LimitExceededError | SdkError, ApiGatewayManagementApiService>;
    postToConnection: (args: PostToConnectionCommandInput, options?: __HttpHandlerOptions | undefined) => Effect.Effect<PostToConnectionCommandOutput, ForbiddenError | GoneError | LimitExceededError | PayloadTooLargeError | SdkError, ApiGatewayManagementApiService>;
} & {
    use: <X>(body: (_: ApiGatewayManagementApiService$) => X) => X extends Effect.Effect<infer A, infer E, infer R> ? Effect.Effect<A, E, R | ApiGatewayManagementApiService> : Effect.Effect<X, never, ApiGatewayManagementApiService>;
};
/**
 * @since 1.0.0
 * @category models
 */
export declare class ApiGatewayManagementApiService extends ApiGatewayManagementApiService_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeApiGatewayManagementApiService: Effect.Effect<ApiGatewayManagementApiService$, never, ApiGatewayManagementApiClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const BaseApiGatewayManagementApiServiceLayer: Layer.Layer<ApiGatewayManagementApiService, never, ApiGatewayManagementApiClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const ApiGatewayManagementApiServiceLayer: Layer.Layer<ApiGatewayManagementApiService, never, import("./ApiGatewayManagementApiClientInstanceConfig").ApiGatewayManagementApiClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultApiGatewayManagementApiServiceLayer: Layer.Layer<ApiGatewayManagementApiService, never, never>;
export {};
